var de = Object.defineProperty;
var ue = (s, a, e) => a in s ? de(s, a, { enumerable: !0, configurable: !0, writable: !0, value: e }) : s[a] = e;
var E = (s, a, e) => (ue(s, typeof a != "symbol" ? a + "" : a, e), e);
import { EditFormModel as me, FormMDCtrlModel as pe, DefectModelError as he, AppEntityModel as H } from "@ibiz-template/model";
import { useNamespace as B, useControlController as fe, usePropsWatch as ve, getDatePickerProps as ye, getEditorEmits as G, useController as ge, getDataPickerProps as se, useViewController as we } from "@ibiz-template/vue-util";
import { defineComponent as M, getCurrentInstance as W, ref as b, watch as V, h as r, onMounted as De, computed as j } from "vue";
import { createUUID as te } from "qx-util";
import { ViewMode as ae, PluginStaticResource as Ce, OpenAppViewCommand as q, UIActionHandler as Ee, FrontUIActionHandler as re } from "@ibiz-template/runtime";
import { EditFormController as be, FormMDCtrlController as Pe, FormDRUIPartController as Ae, EditViewController as Fe, DatePickerEditorController as Se, UploadEditorController as Ie, PickerEditorController as oe } from "@ibiz-template/controller";
import { ControlVO as xe, calcResPath as K } from "@ibiz-template/service";
import $ from "dayjs";
import { RuntimeError as ke, StringUtil as ne } from "@ibiz-template/core";
class Ne extends be {
  constructor() {
    super(...arguments);
    /**
     *   基础数据
     *
     * @author fangZhiHao
     * @date 2024-04-26 17:04:49
     * @type {IData}
     */
    E(this, "baseResData", []);
    /**
     *   对比数据
     *
     * @author fangZhiHao
     * @date 2024-04-26 17:04:49
     * @type {IData}
     */
    E(this, "compareResData", []);
    /**
     * 表单旧数据
     *
     * @author zk
     * @date 2023-12-20 11:12:43
     * @protected
     * @type {IData}
     * @memberof FormController
     */
    E(this, "oldData", new xe());
    /**
     * version数据
     *
     * @author fangZhiHao
     * @date 2024-04-26 16:04:37
     * @type {IData[]}
     */
    E(this, "versionData", []);
    /**
     *  对比数据
     *
     * @author fangZhiHao
     * @date 2024-04-26 16:04:37
     * @type {IData[]}
     */
    E(this, "comparisonArr", {});
    /**
     *  基础表格数据
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:57
     * @type {IData[]}
     */
    E(this, "gridData", []);
    /**
     *  展示完全数据
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:04
     * @type {IData[]}
     */
    E(this, "AllGridData", []);
    /**
     *  去除相同数据
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:15
     * @type {IData[]}
     */
    E(this, "removeSameGridData", []);
    /**
     *  关系界面数据
     *
     * @author fangZhiHao
     * @date 2024-04-30 10:04:33
     * @type {IData}
     */
    E(this, "AlldruipartData", /* @__PURE__ */ new Map());
    /**
     *  关系界面数据长度
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:56
     * @type {number}
     */
    E(this, "druipartDataSize", 0);
    /**
     *   关系界面实际数据
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:13
     * @type {IData}
     */
    E(this, "newDruipartData", {});
  }
  /**
   * 加载数据
   *
   * @return {*}  {Promise<ControlVO>}
   * @memberof FormDataComparisonController
   */
  async loadGridData() {
    await this.startLoading();
    const e = this.model.source.M.getPSControlParam.ctrlParams, { BASEENTITY: t, COMPAREENTITY: i } = e, o = await ibiz.entityService.getService(t), d = await ibiz.entityService.getService(i), v = Object.assign({}, this.context.clone(), {
      [t.toLowerCase()]: this.params.base_version
    }), u = Object.assign({}, this.context.clone(), {
      [i.toLowerCase()]: this.params.compare_version
    }), h = await o.exec("Get", v, this.params), g = await d.exec(
      "Get",
      u,
      this.params
    );
    return this.isLoaded = !0, {
      baseData: h.data.data,
      compareData: g.data.data
    };
  }
  /**
   * 判断值是否为空
   *
   * @param {(string | IData[] | null | undefined)} value
   * @return {*}
   * @memberof FormDataComparisonController
   */
  isFalseyButNotEmpty(e) {
    return e == null || typeof e == "string" && e === "" || Array.isArray(e) && e.length === 0 || typeof e == "object" && Object.keys(e).length === 0;
  }
  /**
   * 比较两个值
   *
   * @param {IData} objA
   * @param {IData} objB
   * @return {*}
   * @memberof FormDataComparisonController
   */
  compareObjectValues(e, t) {
    return JSON.stringify(e) !== JSON.stringify(t);
  }
}
const Oe = M({
  name: "IBizFormDataComparison",
  props: {
    modelData: {
      type: me,
      required: !0
    },
    context: {
      type: Object,
      required: !0
    },
    params: {
      type: Object,
      default: () => ({})
    },
    enableAutoSave: {
      type: Boolean,
      required: !1
    }
  },
  setup(s) {
    const a = B("form-data-comparison"), {
      proxy: e
    } = W(), t = fe(e, () => {
      const n = new Ne(s.modelData, s.context, s.params);
      return ve(e, "enableAutoSave", n.setEnableAutoSave.bind(n)), n;
    }), i = b(!0), o = b(!1), d = b({}), v = b({}), u = b([]), h = [], g = b([]), l = b([]), y = b([]), f = /* @__PURE__ */ new Map(), m = b(0), c = (n) => {
      const p = [];
      if (p.push(n), n && n.children) {
        const A = [];
        n.children.forEach((F) => {
          const O = c(F);
          A.push(...O);
        }), p.push(...A);
      }
      return p;
    }, w = c(s.modelData);
    h.push(...w);
    const C = (n) => {
      const p = t.details[n.source.name], A = r("not-supported-editor", {
        attrs: {
          modelData: n.editor
        }
      });
      return r("div", {
        class: [a.e("form-grid-item"), a.is("add", g.value.includes(n.source.name)), a.is("update", y.value.includes(n.source.name)), a.is("delete", l.value.includes(n.source.name))]
      }, [r("div", {
        class: a.em("form-grid-item", "name")
      }, [n.source.caption]), r("div", {
        class: a.em("form-grid-item", "left")
      }, [p.editorProvider ? r(p.editorProvider.formEditor, {
        props: {
          value: v.value[n.source.name],
          data: p.data,
          controller: p.editor,
          disabled: p.disabled,
          readonly: !0
        }
      }) : A]), r("div", {
        class: a.em("form-grid-item", "right")
      }, [p.editorProvider ? r(p.editorProvider.formEditor, {
        props: {
          value: d.value[n.source.name],
          data: p.data,
          controller: p.editor,
          disabled: p.disabled,
          readonly: !0
        }
      }) : A])]);
    }, S = (n, p) => {
      f.set(n.source.id, p), p.evt.on("mounted", () => {
        i.value && t.startLoading(), m.value += 1, p.call.refresh();
      }), p.evt.on("refreshed", () => {
        m.value -= 1, setTimeout(() => {
          i.value && t.endLoading();
        }, 500);
      });
    }, D = (n) => {
      const p = h.find((L) => L.id === `${n.source.id}_srfcopy`), A = n.embedView.source.modelPath, F = p == null ? void 0 : p.embedView.source.modelPath, O = t.context.clone(), N = {
        base_version: s.params.base_version
      }, T = t.context.clone();
      Object.assign(T, {
        gysrlzy_info: s.params.compare_version,
        compare_version: s.params.compare_version
      });
      const _ = {
        compare_version: s.params.compare_version
      }, R = d.value[n.source.userTag], U = v.value[p == null ? void 0 : p.source.userTag];
      let J = !1, z = !1, X = !1;
      if (n.source.userTag2) {
        const L = JSON.parse(n.source.userTag2), {
          comparekey: Z,
          comparelist: ce
        } = L;
        R && U && Array.isArray(R) && Array.isArray(U) && (R.length === 0 && U.length !== 0 ? X = !0 : R.length !== 0 && U.length === 0 ? J = !0 : R.length !== 0 && U.length !== 0 && (R.length !== U.length ? z = !0 : R.some((Q) => {
          const ee = U.find((Y) => Q[Z] === Y[Z]);
          return ee ? ce.some((Y) => Q[Y] !== ee[Y] ? (z = !0, !0) : !1) : (z = !0, !0);
        })));
      }
      return r("div", {
        class: [a.e("druipart"), a.is("add", J), a.is("update", z), a.is("delete", X)]
      }, [r("div", {
        class: a.em("druipart", "caption")
      }, [n.source.caption]), r("div", {
        class: a.em("druipart", "left")
      }, [F && r("ViewShell", {
        attrs: {
          context: T,
          params: _,
          modal: {
            mode: ae.EMBED
          },
          modelPath: F,
          noLoadDefault: !0,
          name: p == null ? void 0 : p.source.id
        },
        key: te(),
        on: {
          neuronInit: (L) => S(p, L)
        }
      })]), r("div", {
        class: a.em("druipart", "right")
      }, [A && r("ViewShell", {
        attrs: {
          context: O,
          params: N,
          modal: {
            mode: ae.EMBED
          },
          modelPath: A,
          noLoadDefault: !0,
          name: n.source.id
        },
        key: te(),
        on: {
          neuronInit: (L) => S(n, L)
        }
      })])]);
    }, P = (n) => {
      const p = {
        modelData: n,
        controller: t.details[n.source.name]
      }, A = t.providers[n.source.name], F = r(A.component, {
        props: {
          ...p
        },
        key: n.id
      }), O = r(A.component, {
        props: {
          ...p
        },
        key: `compare_${n.id}`
      });
      return r("div", {
        class: a.e("mdctrl")
      }, [r("div", {
        class: a.em("mdctrl", "caption")
      }, [n.source.caption]), r("div", {
        class: a.em("mdctrl", "left")
      }, [F]), r("div", {
        class: a.em("mdctrl", "right")
      }, [O])]);
    }, I = (n) => {
      i.value = !1;
      const p = u.value.findIndex((A) => A === n.source.name);
      p > -1 ? u.value.splice(p, 1) : u.value.push(n.source.name);
    }, k = (n) => {
      if (!n.source.hidden) {
        if (n.source.detailType === "FORMPAGE")
          return r("div", {
            class: a.e("form-page")
          }, [n.children.map((p) => k(p))]);
        if (n.source.detailType === "FORMITEM") {
          const p = g.value.includes(n.source.name), A = l.value.includes(n.source.name), F = y.value.includes(n.source.name);
          return o.value && !p && !A && !F ? null : C(n);
        }
        if (n.source.detailType === "GROUPPANEL") {
          const p = u.value.includes(n.source.name);
          return r("div", {
            class: a.b("group")
          }, [r("div", {
            class: [a.be("group", "header"), a.is("hide-caption", !n.source.showCaption)]
          }, [r("div", {
            class: a.bem("group", "header", "name")
          }, [p ? r("i-icon", {
            class: a.bem("group", "header", "icon"),
            attrs: {
              type: "ios-arrow-forward",
              title: "展开"
            },
            on: {
              click: () => I(n)
            }
          }) : r("i-icon", {
            class: a.bem("group", "header", "icon"),
            attrs: {
              type: "ios-arrow-down",
              title: "收缩"
            },
            on: {
              click: () => I(n)
            }
          }), r("span", {
            class: a.bem("group", "header", "name-text")
          }, [n.source.caption || n.source.title])]), r("div", ["---"]), r("div", ["---"])]), r("div", {
            class: [a.be("group", "content"), a.is("collapse", p)]
          }, [n.children.map((A) => k(A))])]);
        }
        return n.source.detailType === "DRUIPART" && !n.source.name.endsWith("_srfcopy") ? D(n) : n.source.detailType === "MDCTRL" ? P(n) : null;
      }
    }, x = (n, p) => {
      const A = [], F = [], O = [];
      return Object.keys(p).forEach((N) => {
        const T = n[N], _ = p[N];
        t.isFalseyButNotEmpty(T) && !t.isFalseyButNotEmpty(_) && A.push(N), !t.isFalseyButNotEmpty(T) && !t.isFalseyButNotEmpty(_) && t.compareObjectValues(T, _) && F.push(N);
      }), Object.keys(n).forEach((N) => {
        if (!Object.prototype.hasOwnProperty.call(p, N) || t.isFalseyButNotEmpty(p[N])) {
          const T = n[N];
          t.isFalseyButNotEmpty(T) || O.push(N);
        }
      }), {
        added: A,
        modified: F,
        deleted: O
      };
    };
    return V(() => s.params, async () => {
      const n = await t.loadGridData();
      d.value = n.baseData, v.value = n.compareData;
      const {
        added: p,
        modified: A,
        deleted: F
      } = x(v.value, d.value);
      g.value = p, y.value = A, l.value = F;
    }, {
      immediate: !0
    }), {
      ns: a,
      c: t,
      switchValue: o,
      druipartNum: m,
      renderEditor: C,
      renderByDetailType: k
    };
  },
  render() {
    return this.c.complete ? r("control-layout", {
      attrs: {
        modelData: this.c.model
      }
    }, [r("div", {
      class: this.ns.b()
    }, [r("div", {
      class: this.ns.e("top")
    }, [r("div", {
      class: this.ns.e("top-hidesame-content")
    }, [r("div", {
      class: this.ns.e("top-hidesame-content-left")
    }, ["隐藏相同项 ", r("i-switch", {
      model: {
        value: this.switchValue,
        callback: (s) => {
          this.switchValue = s;
        }
      }
    })]), r("div", {
      class: this.ns.e("top-hidesame-content-right")
    }, [r("div", {
      class: this.ns.e("top-hidesame-content-right-item")
    }, ["新增", r("div", {
      class: this.ns.e("top-hidesame-content-right-item-add")
    })]), r("div", {
      class: this.ns.e("top-hidesame-content-right-item")
    }, ["修改", r("div", {
      class: this.ns.e("top-hidesame-content-right-item-change")
    })]), r("div", {
      class: this.ns.e("top-hidesame-content-right-item")
    }, ["删除", r("div", {
      class: this.ns.e("top-hidesame-content-right-item-delete")
    })])])]), r("div", {
      class: this.ns.e("top-content")
    }, [r("div", {
      class: this.ns.em("top-content", "attr")
    }, ["信息项"]), r("div", {
      class: [this.ns.em("top-content", "left")]
    }, ["更新前内容"]), r("div", {
      class: [this.ns.em("top-content", "right")]
    }, ["更新后内容"])])]), r("div", {
      class: this.ns.e("content")
    }, [this.modelData.children.map((s) => this.renderByDetailType(s))])])]) : null;
  }
});
const Te = M({
  name: "CustomDataImport",
  props: {
    templateUrl: {
      type: String,
      required: !0
    },
    importUrl: {
      type: String,
      required: !0
    },
    dismiss: {
      type: Function
    }
  },
  setup(s, {
    emit: a
  }) {
    const e = B("data-import"), t = b(), i = b({
      state: "ready",
      message: "",
      rowError: []
    }), o = b(""), d = async (l) => {
      const y = new FormData(), f = $(o.value).format("YYYY-MM");
      y.append("file", l), y.append("ny", f);
      try {
        const m = await ibiz.net.request(s.importUrl, {
          method: "post",
          data: y,
          headers: {
            "Content-Type": "multipart/form-data"
          }
        });
        i.value.state = "success", i.value.message = "导入成功";
        const {
          errorinfo: c,
          success: w,
          total: C
        } = m.data, S = C ? Number(C) : 0, D = w ? Number(w) : 0, P = C - w;
        i.value.message = `共计导入数据 ${S} 条，错误[${P}]，成功[${D}]`, c && Object.keys(c).length > 0 && (i.value.rowError = [], Object.keys(c).forEach((I) => {
          i.value.rowError.push({
            index: Number(I) + 1,
            info: c[I].errorInfo
          });
        }));
      } catch (m) {
        i.value.state = "fail", i.value.message = `导入失败！${m.message}`;
      }
    }, v = (l) => {
      const y = l.target;
      if (!y.files)
        return;
      const f = y.files[0];
      y.value = null, d(f);
    }, u = async () => {
      var y;
      const l = await ibiz.net.request(s.templateUrl, {
        responseType: "blob"
      });
      if (l.status === 200) {
        let f = ((y = l.headers["content-disposition"].split(";").find((w) => w.indexOf("filename=") !== -1)) == null ? void 0 : y.slice(9)) || "";
        f = decodeURIComponent(f);
        const m = new Blob([l.data], {
          type: "application/vnd.ms-excel"
        }), c = document.createElement("a");
        c.download = f, c.style.display = "none", c.href = URL.createObjectURL(m), document.body.appendChild(c), c.click(), URL.revokeObjectURL(c.href), document.body.removeChild(c);
      }
    }, h = () => {
      t.value.click();
    }, g = () => {
      var l;
      a("close", {
        ok: !1,
        data: {}
      }), (l = s.dismiss) == null || l.call(s, {
        ok: !1,
        data: {}
      });
    };
    return De(() => {
      o.value = $().format("YYYY年MM月");
    }), {
      ns: e,
      curDate: o,
      onLinkClick: u,
      selectFile: h,
      onCancelButtonClick: g,
      onFileChange: v,
      inputUpLoad: t,
      message: i
    };
  },
  render() {
    return r("div", {
      class: [this.ns.b(), this.ns.is("custom", !0)]
    }, [r("input", {
      ref: "inputUpLoad",
      attrs: {
        type: "file",
        accept: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
      },
      style: "display: none",
      on: {
        change: this.onFileChange
      }
    }), r("div", {
      class: this.ns.e("caption")
    }, ["导入数据"]), r("div", {
      class: this.ns.e("date")
    }, [r("span", ["导入数据所属月份"]), r("i-datePicker", {
      attrs: {
        format: "yyyy年MM月",
        type: "month",
        clearable: !1
      },
      model: {
        value: this.curDate,
        callback: (s) => {
          this.curDate = s;
        }
      }
    })]), this.message.state === "ready" ? r("div", {
      class: this.ns.b("upload"),
      on: {
        click: this.selectFile
      }
    }, [r("img", {
      class: this.ns.be("upload", "img"),
      attrs: {
        src: "./assets/img/icon-import.svg"
      }
    }), r("span", {
      class: this.ns.be("upload", "text")
    }, ["单击此区域进行上传"])]) : r("div", {
      class: this.ns.b("message")
    }, [r("div", {
      class: this.ns.be("message", "title")
    }, ["导入结果"]), r("div", {
      class: this.ns.be("message", "content")
    }, [this.message.message]), this.message.rowError.length > 0 && [r("div", {
      class: this.ns.be("message", "title")
    }, ["错误信息"]), r("div", {
      class: this.ns.be("message", "content")
    }, [this.message.rowError.map((s) => r("div", [`第 ${s.index} 行：${s.info}`]))])]]), r("div", {
      class: this.ns.e("template-container")
    }, [r("div", {
      class: this.ns.e("template-description")
    }, ["下载导入模版，并按要求填写："]), r("div", {
      class: this.ns.e("template-link"),
      on: {
        click: this.onLinkClick
      }
    }, [r("i-icon", {
      attrs: {
        type: "ios-link"
      }
    }), "数据导入模板文件"])]), r("div", {
      class: this.ns.e("button-bar")
    }, [this.message.state !== "ready" && r("i-button", {
      on: {
        click: this.selectFile
      }
    }, ["重新上传"])])]);
  }
});
const Me = M({
  name: "YearMonthPicker",
  props: ye(),
  emits: G(),
  setup(s, {
    emit: a
  }) {
    const e = B("date-picker"), t = s.controller, i = t.model, o = b("date"), d = b("yyyy-MM-dd"), v = b(!1);
    switch (i.editorType) {
      case "DATEPICKEREX":
      case "DATEPICKEREX_NOTIME":
        o.value = "date";
        break;
      case "DATEPICKEREX_NODAY":
      case "DATEPICKEREX_NODAY_NOSECOND":
        v.value = !0, o.value = "time";
        break;
      case "DATEPICKEREX_HOUR":
      case "DATEPICKEREX_MINUTE":
      case "DATEPICKEREX_SECOND":
      case "DATEPICKEREX_NOSECOND":
      case "DATEPICKER":
      default:
        o.value = "datetime";
    }
    const u = t.valueFormat;
    if (u) {
      u === "YYYY-MM" ? o.value = "month" : u === "YYYY" && (o.value = "year");
      const f = u.replace("YYYY", "yyyy").replace("DD", "dd");
      d.value = f;
    }
    i.editorParams.formatText && (d.value = i.editorParams.formatText.replace("YYYY", "yyyy").replace("DD", "dd"));
    const h = b();
    V(() => s.value, (f, m) => {
      f && f !== m && (h.value = $(f).format(u));
    }, {
      immediate: !0
    });
    const g = (f, m) => {
      if (f) {
        const c = $(f.replace(/[年月]/g, "-")).format(u);
        a("change", c);
      } else
        a("change", f);
    }, l = (f) => {
      a("operate", f);
    }, y = b();
    return s.autoFocus && V(y, (f) => {
      f && f.$el.getElementsByTagName("input")[0].click();
    }), {
      ns: e,
      c: t,
      editorModel: i,
      type: o,
      format: d,
      formatValue: h,
      handleChange: g,
      onOpenChange: l,
      inputRef: y,
      isTimePicker: v
    };
  },
  render(s) {
    return s("div", {
      class: [this.ns.b(), this.disabled ? this.ns.m("disabled") : "", this.readonly ? this.ns.m("readonly") : ""]
    }, [[this.readonly && this.formatValue, !this.readonly && this.isTimePicker && s("ITimePicker", {
      ref: "inputRef",
      props: {
        ...this.c.customProps,
        value: this.value,
        type: this.type,
        format: this.format,
        placeholder: this.c.placeHolder,
        disabled: this.disabled,
        transfer: !0
      },
      on: {
        "on-change": this.handleChange,
        "on-open-change": this.onOpenChange
      }
    }), !this.readonly && !this.isTimePicker && s("ICalendarPicker", {
      ref: "inputRef",
      props: {
        ...this.c.customProps,
        value: this.value,
        type: this.type,
        format: this.format,
        placeholder: this.c.placeHolder,
        disabled: this.disabled,
        transfer: !0
      },
      on: {
        "on-change": this.handleChange,
        "on-open-change": this.onOpenChange
      }
    })]]);
  }
});
const ie = new Ce(import.meta.url), Re = M({
  name: "DownLoadSafeFile",
  props: {},
  setup() {
    const s = B("download-safe-file"), a = ie.dir("/assets/doc/safe-file.doc");
    return {
      ns: s,
      url: a
    };
  },
  render() {
    return r("div", {
      class: this.ns.b()
    }, [r("a", {
      attrs: {
        download: "网络信息安全承诺书.doc",
        href: this.url
      }
    }, ["网络信息安全承诺书.doc"])]);
  }
});
class le extends Pe {
  constructor() {
    super(...arguments);
    /**
     * 激活的分页下标
     *
     * @type {number}
     * @memberof FormMDCtrlFormStyle2Controller
     */
    E(this, "active", 0);
  }
  /**
   * 计算表单更新项信息
   *
   * @param {IPSDEFormItemUpdate} formItemUpdate
   * @return {*}
   * @memberof FormMDCtrlFormStyle2Controller
   */
  calcFormUpdateItem(e) {
    var t, i;
    return {
      methodName: ((t = e.getPSAppDEMethod()) == null ? void 0 : t.codeName) || "",
      itemNames: (i = e.getPSDEFIUpdateDetails()) == null ? void 0 : i.map((o) => o.name),
      model: {
        customCode: e.customCode,
        scriptCode: e.scriptCode
      }
    };
  }
  connect(e, t) {
    this.formNeurons.get(e) || (this.formNeurons.set(e, t), t.evt.on("mounted", () => {
      t.call.load();
    }), t.evt.on("destroyed", () => {
      this.formNeurons.delete(e);
    }), t.evt.on("valueChange", (i) => {
      if (i) {
        const o = this.contentCtrlData.find((d) => d.srfkey === i.srfkey);
        o && Object.assign(o, i), this.force();
      }
    }), t.evt.on("afterSave", async () => {
      const i = this.model.source.M.getPSAppDEField;
      i && await this.form.setDataValue(i.codeName.toLowerCase(), [
        ...this.contentCtrlData
      ]);
      const o = this.model.source.getPSDEFormItemUpdate();
      if (o) {
        const { methodName: d, itemNames: v, model: u } = this.calcFormUpdateItem(o);
        await this.form.updateFormItem(
          d,
          v,
          u
        );
      }
    }));
  }
  /**
   * 校验
   *
   * @return {*}  {Promise<boolean>}
   * @memberof FormMDCtrlFormStyle2Controller
   */
  async validate() {
    const e = [];
    this.formNeurons.forEach((o, d) => {
      const v = o.call.getFormController();
      e.push({ key: d, controller: v });
    });
    let t = "";
    const i = await Promise.all(
      e.map(async (o) => {
        const d = await o.controller.validate();
        return !t && !d && (t = o.key), d;
      })
    );
    if (t) {
      const o = this.contentCtrlData.findIndex((d) => d.srfkey === t);
      o > -1 && (this.active = o);
    }
    return i.findIndex((o) => !o) === -1;
  }
  /**
   * 静默校验
   *
   * @return {*}  {Promise<boolean>}
   * @memberof FormMDCtrlFormStyle2Controller
   */
  async silentValidate() {
    const e = [];
    this.formNeurons.forEach((o, d) => {
      const v = o.call.getFormController();
      e.push({ key: d, controller: v });
    });
    let t = "";
    const i = await Promise.all(
      e.map(async (o) => {
        const d = await o.controller.silentValidate();
        return !t && !d && (t = o.key), d;
      })
    );
    if (t) {
      const o = this.contentCtrlData.findIndex((d) => d.srfkey === t);
      o > -1 && (this.active = o);
    }
    return i.findIndex((o) => !o) === -1;
  }
}
const Ue = M({
  name: "FormMDCtrlFormStyle2",
  props: {
    controller: {
      type: le,
      required: !0
    },
    modelData: {
      type: pe,
      required: !0
    }
  },
  setup(s) {
    const a = B("form-mdctrl-form-style2"), e = s.controller, {
      proxy: t
    } = W();
    ge(t, s.controller);
    const i = async (h, g, l) => {
      l.stopPropagation(), l.preventDefault();
      const y = e.contentCtrlData.length;
      await e.handleRemove(h, g), y !== e.contentCtrlData.length && g <= e.active && e.active !== 0 && (e.active -= 1);
    }, o = (h) => {
      e.active = h, e.force();
    }, d = async () => {
      const h = JSON.parse(JSON.stringify(e.contentCtrlData)).length;
      await e.handleAdd(), h < e.contentCtrlData.length && (e.active = e.contentCtrlData.length - 1);
    }, v = () => {
      const h = s.modelData.source.userTag;
      let g = {};
      h && (g = JSON.parse(h));
      const {
        tabtitle: l,
        addtitle: y,
        usermode: f
      } = g;
      return f === "user1" && e.contentCtrlData.some((c) => c.rcrylx === "system") ? r("div", {
        class: a.e("header")
      }, [e.contentCtrlData.map((c, w) => {
        let C = "";
        c.srfmajortext ? C = c.srfmajortext : l && c[l] && (C = c[l]);
        let S = "待确认";
        return c.is_rc === 1 ? S = "确认入场" : c.is_rc === 0 && (S = "放弃入场"), r("div", {
          class: [a.e("header-item"), a.is("actived", w === e.active)],
          on: {
            click: () => o(w)
          }
        }, [r("div", {
          class: a.em("header-item", "title")
        }, [C, "（", S, "）"])]);
      })]) : r("div", {
        class: a.e("header")
      }, [e.contentCtrlData.map((m, c) => {
        let w = `新建${c + 1}`;
        return m.srfmajortext ? w = m.srfmajortext : l && m[l] ? w = m[l] : y && (w = `${y}${c + 1}`), r("div", {
          class: [a.e("header-item"), a.is("actived", c === e.active)],
          on: {
            click: () => o(c)
          }
        }, [r("div", {
          class: a.em("header-item", "title")
        }, [w]), e.enableDelete && r("div", {
          class: a.em("header-item", "delete"),
          attrs: {
            title: "移除"
          },
          on: {
            click: (C) => i(m, c, C)
          }
        }, [r("i", {
          class: "fa fa-close"
        })])]);
      }), e.enableCreate && r("div", {
        class: [a.e("header-item"), a.e("add")],
        attrs: {
          title: "添加"
        },
        on: {
          click: () => d()
        }
      }, [r("span", ["添加"]), r("i", {
        class: "fa fa-plus"
      })])]);
    };
    return V(() => e.form.isLoaded, (h, g) => {
      h !== g && h === !0 && e.loadData();
    }), {
      ns: a,
      rendertanHeader: v,
      renderTabs: () => e.contentCtrlData.map((h, g) => {
        var f;
        let l = null;
        const {
          form: y
        } = e.model;
        if (y && e.providers[y.name] && e.model.appEntity) {
          const m = Object.assign(e.form.context.clone(), {
            [(f = e.model.appEntity.codeName) == null ? void 0 : f.toLowerCase()]: h[e.model.appEntity.keyName]
          });
          l = r(e.providers[y.name].component, {
            props: {
              modelData: y,
              context: m,
              params: e.form.params,
              enableAutoSave: !0,
              silentVerify: !0
            },
            on: {
              neuronInit: e.onNeuronInit(h.srfkey)
            }
          });
        }
        return r("div", {
          class: [a.e("content"), a.is("actived", g === e.active)],
          key: h.srfkey
        }, [l]);
      })
    };
  },
  render() {
    return r("div", {
      class: this.ns.b()
    }, [this.rendertanHeader(), this.renderTabs()]);
  }
}), Le = M({
  name: "AutoSelectAll",
  props: se(),
  emits: G(),
  setup(s, {
    emit: a
  }) {
    const e = B("mpicker"), t = s.controller, i = b([]), o = b([]), d = b([]), v = b(!1), u = b(!1), h = b(null), g = b([]), l = j(() => {
      const D = t.editorParams.followitem;
      return D ? s.data[D] : "";
    });
    V(() => s.value, (D) => {
      i.value = [], d.value = [], D && (d.value = JSON.parse(D), d.value.length > 0 && d.value.forEach((P) => {
        o.value.findIndex((k) => Object.is(k.srfkey, P.srfkey)) < 0 && (o.value.push(P), g.value.push(P.srfmajortext)), i.value.push(P.srfkey);
      }));
    }, {
      immediate: !0,
      deep: !0
    });
    const y = async (D) => {
      const P = [];
      if (D && Array.isArray(D))
        for (let k = 0; k < D.length; k++) {
          const x = D[k], n = {
            srfkey: x[t.keyName] || x.srfkey,
            srfmajortext: x[t.textName] || x.srfmajortext
          }, p = await t.calcFillDataItems(x);
          p.length > 0 && p.forEach((F) => {
            Object.assign(n, {
              [F.name]: F.value
            });
          }), P.push(n), o.value.findIndex((F) => Object.is(F[t.keyName], x[t.keyName])) < 0 && o.value.push(n);
        }
      const I = P.length > 0 ? JSON.stringify(P) : "";
      a("change", I);
    }, f = async () => {
      let D;
      d.value.length && (D = JSON.stringify(d.value));
      const P = await t.openPickUpView(s.data, D);
      P && y(P);
    }, m = (D) => {
      const P = [];
      if (D.length > 0) {
        D.forEach((k) => {
          let x = o.value.findIndex((p) => Object.is(p.srfkey, k)), n = null;
          x >= 0 ? n = o.value[x] : (x = d.value.findIndex((p) => Object.is(p.srfkey, k)), x >= 0 && (n = d.value[x])), n && P.push(n);
        });
        const I = P.length > 0 ? JSON.stringify(P) : "";
        a("change", I);
      } else
        a("change", "");
    }, c = async (D) => {
      if (t.model.appDataEntity) {
        u.value = !0;
        try {
          const P = await t.getServiceData(D, s.data);
          u.value = !1, o.value = [], P.data.length > 0 && (o.value = P.data.map((I) => ({
            srfkey: I[t.keyName],
            srfmajortext: I[t.textName]
          })));
        } catch (P) {
          u.value = !1;
        }
      }
    }, w = (D) => {
      v.value = D, a("operate", D), v.value && c("");
    }, C = j(() => d.value.map((D) => D.srfmajortext).join("、")), S = (D) => {
      o.value = D;
    };
    return V(() => l.value, async (D) => {
      if (D) {
        await c("");
        const P = o.value.map((I) => I.srfkey);
        m(P);
      } else
        o.value = [], a("change", "");
    }, {
      immediate: !0
    }), {
      ns: e,
      c: t,
      selectRef: h,
      curValue: i,
      loading: u,
      items: o,
      defaultLabel: g,
      valueText: C,
      onSearch: c,
      onOpenChange: w,
      onSelect: m,
      openPickUpView: f,
      setDefaultOptions: S
    };
  },
  render(s) {
    return s("div", {
      class: [this.ns.b(), this.disabled ? this.ns.m("disabled") : "", this.readonly ? this.ns.m("readonly") : ""]
    }, [this.readonly && this.valueText, !this.readonly && s("iSelect", {
      ref: "selectRef",
      props: {
        ...this.c.customProps,
        value: this.curValue,
        filterable: !0,
        transfer: !0,
        multiple: !0,
        defaultLabel: this.defaultLabel,
        loading: this.loading,
        placeholder: this.c.placeHolder,
        disabled: this.disabled,
        remoteMethod: this.onSearch
      },
      on: {
        "on-change": this.onSelect,
        "on-open-change": this.onOpenChange
      }
    }, [this.items.map((a) => s("i-option", {
      key: a.srfkey,
      attrs: {
        value: a.srfkey,
        label: a.srfmajortext
      }
    }, [a.srfmajortext]))]), !this.readonly && s("div", {
      class: this.ns.e("buns-position")
    }, [s("div", {
      class: this.ns.e("btns")
    }, [this.c.pickupView ? s("i-button", {
      attrs: {
        icon: "ios-search",
        type: "text"
      },
      on: {
        click: this.openPickUpView
      }
    }) : null])])]);
  }
});
const Ve = M({
  name: "MPickerCheckbox",
  props: se(),
  emits: G(),
  setup(s, {
    emit: a
  }) {
    const e = B("checkbox"), t = s.controller, i = b([]), o = b([]), d = ",", v = j({
      get() {
        var m;
        return ((m = s.value) == null ? void 0 : m.split(",")) || [];
      },
      set(m) {
        let c = null;
        const w = [];
        i.value.length > 0 && (i.value.forEach((C) => {
          m.findIndex((D) => Object.is(C.value, D)) !== -1 && w.push(C.value);
        }), c = w.join(d)), a("change", c);
      }
    }), u = async (m) => {
      const {
        context: c,
        params: w
      } = t.handlePublicParams(m, t.context, t.params);
      if (t.editorParams.codeTag) {
        let C = [];
        const S = t.editorParams.codeTag;
        return C = await ibiz.codeListService.get(S, c, w), C;
      }
      throw new he(t.model.source, "请配置代码表");
    }, h = (m) => {
      v.value = m;
    }, g = j(() => {
      const m = Array.isArray(v.value) ? v.value : [v.value];
      return i.value.filter((c) => m.includes(c.srfkey)).map((c) => c.srfmajortext).join("、");
    }), l = async (m) => {
      if (t.model.appDataEntity)
        try {
          const c = await t.getServiceData(m, s.data);
          o.value = [], c.data.length > 0 && (o.value = c.data.map((w) => ({
            srfkey: w[t.keyName],
            srfmajortext: w[t.textName]
          })));
        } catch (c) {
          console.error(c);
        }
    }, y = j(() => {
      const m = t.editorParams.followitem;
      return m ? s.data[m] : "";
    }), f = () => {
      const m = [];
      i.value.forEach((c) => {
        o.value.findIndex((C) => C.srfkey === c.value) > -1 && m.push(c.value);
      }), h(m);
    };
    return V(() => y, async (m) => {
      await u(m).then((c) => {
        i.value = c;
      }), await l(""), f();
    }, {
      immediate: !0,
      deep: !0
    }), {
      ns: e,
      c: t,
      valueText: g,
      selectArray: v,
      items: i,
      onSearch: l,
      onSelectArrayChange: h
    };
  },
  render(s) {
    return s("div", {
      class: [this.ns.b(), this.disabled ? this.ns.m("disabled") : "", this.readonly ? this.ns.m("readonly") : ""]
    }, [this.readonly && this.valueText, !this.readonly && s("ICheckboxGroup", {
      props: {
        ...this.c.customProps,
        value: this.selectArray
      },
      on: {
        "on-change": this.onSelectArrayChange
      }
    }, [this.items.map((a, e) => s("i-checkbox", {
      key: e,
      attrs: {
        label: a.value,
        disabled: this.disabled
      }
    }, [s("span", {
      class: this.ns.e("text")
    }, [a.text])]))])]);
  }
});
class Be extends Ae {
  /**
   * 设置嵌入视图的神经元
   *
   * @author lxm
   * @date 2022-09-15 10:09:22
   * @param {ViewNeuron} neuron
   */
  setViewNeuron(a) {
    this.neuron = a, this.neuron.evt.on("refreshed", (e) => {
      if (ibiz.log.debug("接收到关系界面的刷新变更事件", e), this.model.formItemUpdate) {
        const { methodName: t, itemNames: i, model: o } = this.model.formItemUpdate;
        this.form.updateFormItem(
          t,
          i,
          o
        );
      }
    }), this.neuron.evt.on("mounted", () => {
      this.neuron.call.refresh();
    }), this.neuron.evt.on("viewDataChange", async (e) => {
      if (!["LOAD", "LOADDRAFT"].includes(e.type) && (ibiz.log.debug("接收到关系界面的数据变更事件", e.data), this.model.formItemUpdate)) {
        const { methodName: t, itemNames: i, model: o } = this.model.formItemUpdate;
        try {
          this.processState.formItemUpdate = !0, await this.form.updateFormItem(
            t,
            i,
            o
          );
        } finally {
          this.processState.formItemUpdate = !1;
        }
      }
    }), this.neuron.evt.on("destroyed", () => {
      Object.keys(this.processState).forEach((e) => {
        this.processState[e] = !1;
      });
    }), this.neuron.evt.on("viewSaveStart", () => {
      this.processState.viewSave = !0;
    }), this.neuron.evt.on("viewSaveEnd", () => {
      this.processState.viewSave = !1;
    });
  }
}
class _e extends Fe {
  constructor() {
    super(...arguments);
    /**
     * 自定义行为
     *
     * @type {string}
     * @memberof WfEditViewController
     */
    E(this, "userAction");
  }
  async onInit() {
    await super.onInit(), this.getUserAction();
  }
  /**
   * 工作流启动
   *
   * @author lxm
   * @date 2022-09-29 20:09:27
   * @returns {*}  {Promise<void>}
   */
  async wfStart() {
    var h;
    await this.save(), await this.execUserAction();
    const e = await this.entityService.wf.getWFVersion();
    if (e.data.length === 0)
      throw new ke("当前工作流版本不存在");
    const t = e.data[0], i = `WFSTART@${t.wfversion}`, o = Object.assign(this.context.clone(), {
      activeForm: t["process-form"]
    }), d = {
      processDefinitionKey: t.definitionkey
    }, v = (h = this.model.source.findPSAppViewRef(i)) == null ? void 0 : h.getRefPSAppView();
    if (!v) {
      await this.nerve.form.call.wfStart(d), await this.closeView();
      return;
    }
    (await ibiz.commands.execute(
      q.TAG,
      v,
      o,
      d
    )).ok && await this.closeView();
  }
  /**
   * 获取自定义行为
   *
   * @memberof EditViewController
   */
  getUserAction() {
    const { form: e } = this.model, t = e.source.getPSControlHandler();
    if (t) {
      const i = t.findPSControlHandlerAction("user");
      i && i.getPSAppDEMethod() && (this.userAction = i.getPSAppDEMethod().codeName);
    }
  }
  /**
   * 执行自定义行为
   *
   * @memberof EditViewController
   */
  async execUserAction() {
    if (this.userAction) {
      const e = this.getData();
      await this.entityService.exec(this.userAction, this.context, e[0]);
    }
  }
}
function je(s, a) {
  return we(
    s,
    (e, t) => new _e(a, e, t)
  );
}
const ze = M({
  props: {
    context: Object,
    params: {
      type: Object
    },
    modelPath: {
      type: String,
      required: !0
    },
    modal: {
      type: Object
    },
    noLoadDefault: {
      type: Boolean,
      required: !1
    }
  },
  setup(s) {
    const {
      proxy: a
    } = W();
    return {
      c: je(a, s.modelPath)
    };
  },
  render(s) {
    let a = null;
    if (this.c.complete) {
      const {
        form: e
      } = this.c.model;
      this.c.providers[e.name] && (a = s(this.c.providers[e.name].component, {
        props: {
          modelData: e,
          context: this.c.context,
          params: this.c.params
        },
        on: {
          neuronInit: this.c.nerve.onNeuronInit(e.name)
        }
      }));
    }
    return s("view-base", {
      attrs: {
        controller: this.c
      }
    }, [a]);
  }
});
class Ye {
  constructor() {
    E(this, "component", "IBizFormDataComparison");
  }
}
class $e extends Ee {
  async execAction(a, e, t, i) {
    const o = {}, d = a.getPSAppDataEntity();
    if (d) {
      d.isFill === !1 && await d.fill(!0);
      const v = new H(d);
      await v.init();
      const { resultContext: u } = await this.handleParams(
        a,
        e,
        t,
        i
      ), h = ibiz.resourcePathUtil.calcPaths(
        u,
        v.codeName
      ), g = K(u, h);
      let l = `${g}/${v.deNamePlural}/importtemplate`, y = `${g}/${v.deNamePlural}/importdata2`;
      const f = a.getPSAppDEDataImport();
      f && (l += `?srfimporttag=${f.codeName}`, y += `?srfimporttag=${f.codeName}`);
      const m = ibiz.overlay.createModal(
        "CustomDataImport",
        {
          templateUrl: l,
          importUrl: y,
          dismiss: (c) => {
            m.dismiss(c);
          }
        },
        {
          width: "auto",
          placement: "center"
        }
      );
      return m.present(), await m.onWillDismiss(), {
        refresh: !0
      };
    }
    return o;
  }
}
class He {
  constructor() {
    E(this, "handler");
  }
  async getHandler() {
    return this.handler || (this.handler = new $e()), this.handler;
  }
}
class Ge {
  constructor() {
    E(this, "gridEditor", "YearMonthPicker");
    E(this, "formEditor", "YearMonthPicker");
  }
  async createController(a, e) {
    const t = new Se(a, e);
    return await t.init(), t;
  }
}
class We {
  constructor() {
    E(this, "formEditor", "DownLoadSafeFile");
    E(this, "gridEditor", "DownLoadSafeFile");
  }
  async createController(a, e) {
    const t = new Ie(a, e);
    return await t.init(), t;
  }
}
class qe extends re {
  async execAction(a, e, t, i, o) {
    const d = {}, { frontProcessType: v } = a;
    if (v === "OPENHTMLPAGE") {
      const u = ne.fill(a.htmlPageUrl, e, t == null ? void 0 : t[0]);
      window.open(u, "_blank");
    }
    if (v === "DATAIMP") {
      const u = a.getPSAppDataEntity();
      if (u) {
        u.isFill === !1 && await u.fill(!0);
        const h = new H(u);
        await h.init();
        const { resultContext: g } = await this.handleParams(
          a,
          e,
          t,
          i
        ), l = ibiz.resourcePathUtil.calcPaths(
          g,
          h.codeName
        ), y = K(g, l);
        let f = `${y}/${h.deNamePlural}/importtemplate`, m = `${y}/${h.deNamePlural}/importdata2`;
        const c = a.getPSAppDEDataImport();
        c && (f += `?srfimporttag=${c.codeName}`, m += `?srfimporttag=${c.codeName}`);
        const w = ibiz.overlay.createModal(
          "DataImport",
          {
            templateUrl: f,
            importUrl: m,
            dismiss: (C) => {
              w.dismiss(C);
            }
          },
          {
            width: "auto",
            placement: "center"
          }
        );
        return w.present(), await w.onWillDismiss(), {
          refresh: !0
        };
      }
    }
    if (["TOP", "WIZARD"].includes(v)) {
      const u = a.getFrontPSAppView();
      if (!u)
        throw new Error("未配置打开视图");
      await u.fill(!0);
      const { resultContext: h, resultParams: g } = await this.handleParams(
        a,
        e,
        t,
        i
      ), l = await ibiz.commands.execute(
        q.TAG,
        u,
        h,
        g,
        o
      );
      (l == null ? void 0 : l.ok) === !1 && (d.closeView = !1, d.refresh = !1, d.cancel = !0), l != null && l.ok && l.data && (d.data = l.data);
    } else if (o) {
      const { neuron: u } = o, g = u.call.getFormController().call.getFormController(), { druipart1: l, druipart2: y, druipart3: f } = g.details;
      [
        {
          message: "服务履历为空",
          neuron: l
        },
        {
          message: "教育经验为空",
          neuron: y
        },
        {
          message: "项目经验为空",
          neuron: f
        }
      ].some((w) => {
        const C = w.neuron.neuron.call.getGridController();
        if (C) {
          const S = C.call.getGridController();
          if (S && S.items && S.items.length > 0)
            return !1;
        }
        return ibiz.message.error(`${w.message}`, 1.5, !0), !0;
      }) || await u.call.wfStart();
    }
    return d;
  }
}
class Ke {
  constructor() {
    E(this, "handler");
  }
  async getHandler() {
    return this.handler || (this.handler = new qe()), this.handler;
  }
}
class Je {
  constructor() {
    E(this, "component", "FormMDCtrlFormStyle2");
  }
  async createController(a, e, t) {
    const i = new le(a, e, t);
    return await i.init(), i;
  }
}
class Xe {
  constructor() {
    E(this, "formEditor", "AutoSelectAll");
    E(this, "gridEditor", "AutoSelectAll");
  }
  async createController(a, e) {
    const t = new oe(a, e);
    return await t.init(), t;
  }
}
class Ze {
  constructor() {
    E(this, "formEditor", "MPickerCheckbox");
    E(this, "gridEditor", "IBizGridPicker");
  }
  async createController(a, e) {
    const t = new oe(a, e);
    return await t.init(), t;
  }
}
class Qe extends re {
  async execAction(a, e, t, i, o) {
    const d = {}, { frontProcessType: v } = a;
    if (v === "OPENHTMLPAGE") {
      const u = ne.fill(a.htmlPageUrl, e, t == null ? void 0 : t[0]);
      window.open(u, "_blank");
    }
    if (v === "DATAIMP") {
      const u = a.getPSAppDataEntity();
      if (u) {
        u.isFill === !1 && await u.fill(!0);
        const h = new H(u);
        await h.init();
        const { resultContext: g } = await this.handleParams(
          a,
          e,
          t,
          i
        ), l = ibiz.resourcePathUtil.calcPaths(
          g,
          h.codeName
        ), y = K(g, l);
        let f = `${y}/${h.deNamePlural}/importtemplate`, m = `${y}/${h.deNamePlural}/importdata2`;
        const c = a.getPSAppDEDataImport();
        c && (f += `?srfimporttag=${c.codeName}`, m += `?srfimporttag=${c.codeName}`);
        const w = ibiz.overlay.createModal(
          "DataImport",
          {
            templateUrl: f,
            importUrl: m,
            dismiss: (C) => {
              w.dismiss(C);
            }
          },
          {
            width: "auto",
            placement: "center"
          }
        );
        return w.present(), await w.onWillDismiss(), {
          refresh: !0
        };
      }
    }
    if (["TOP", "WIZARD"].includes(v)) {
      const u = a.getFrontPSAppView();
      if (!u)
        throw new Error("未配置打开视图");
      await u.fill(!0);
      const { resultContext: h, resultParams: g } = await this.handleParams(
        a,
        e,
        t,
        i
      ), l = await ibiz.commands.execute(
        q.TAG,
        u,
        h,
        g,
        o
      );
      (l == null ? void 0 : l.ok) === !1 && (d.closeView = !1, d.refresh = !1, d.cancel = !0), l != null && l.ok && l.data && (d.data = l.data);
    } else if (t && t.length > 0 && o) {
      const { neuron: u } = o, l = await u.call.getFormController().call.getFormController().autoSave();
      l && l.rcryqd && Array.isArray(l.rcryqd) && l.rcryqd.length > 0 ? await u.call.wfStart() : ibiz.message.error("入场信息为空");
    }
    return d;
  }
}
class et {
  constructor() {
    E(this, "handler");
  }
  async getHandler() {
    return this.handler || (this.handler = new Qe()), this.handler;
  }
}
class tt {
  constructor() {
    E(this, "component", "FormDruipart");
  }
  async createController(a, e, t) {
    const i = new Be(a, e, t);
    return await i.init(), i;
  }
}
class at {
  constructor() {
    E(this, "component", "WfEditView");
  }
}
const pt = {
  mateUrl: import.meta.url,
  install(s) {
    ie.loadStyle(["/style.css"]), s.component("IBizFormDataComparison", Oe), s.component("CustomDataImport", Te), s.component("YearMonthPicker", Me), s.component("DownLoadSafeFile", Re), s.component("FormMDCtrlFormStyle2", Ue), s.component("AutoSelectAll", Le), s.component("MPickerCheckbox", Ve), s.component("WfEditView", ze), ibiz.register.control.register(
      "EDITFORM_RENDER_FORM_DATA_COMPARISON",
      new Ye()
    ), ibiz.register.uiAction.register(
      "DEUIACTION_CUSTOM_IMPORT",
      new He()
    ), ibiz.register.editor.register(
      "DATEPICKEREX_NOTIME_YEAR_MONTH_PICKER",
      new Ge()
    ), ibiz.register.editor.register(
      "FILEUPLOADER_ONE_DOWNLOAD_FILE",
      new We()
    ), ibiz.register.uiAction.register(
      "DEUIACTION_JUDEG_ENABLE_UPDATE",
      new Ke()
    ), ibiz.register.formDetail.register(
      "FORM_USERCONTROL_MUL_FORM_CARD",
      new Je()
    ), ibiz.register.editor.register(
      "EDITOR_CUSTOMSTYLE_AUTO_SELECT_ALL",
      new Xe()
    ), ibiz.register.editor.register(
      "EDITOR_CUSTOMSTYLE_MULTIPLE_CHECKBOX",
      new Ze()
    ), ibiz.register.uiAction.register(
      "DEUIACTION_check_rcxx",
      new et()
    ), ibiz.register.formDetail.register(
      "FORM_USERCONTROL_DRUIPART_ENABLEINITLOAD",
      new tt()
    ), ibiz.register.view.register(
      "VIEW_CUSTOM_CUSTOM_WF",
      new at()
    );
  }
};
export {
  pt as default
};
